import React, { useEffect, useState } from "react";
import { View, Text, StyleSheet, Button } from "react-native";
import { LOCALBACKEND } from "../../env";

export default function PatientAllPractitioners({ navigation, router }) {
  const [data, setData] = useState([]);

  useEffect(() => {
    fetchData();
  });

  const fetchData = async () => {
    try {
      const practitionerUrl = LOCALBACKEND + "/practitioner/allpractitioner";
      const response = await fetch(practitionerUrl);
      const json = await response.json();
      setData(json.data);
    } catch (error) {
      console.error("Error fetching data:", error);
    }
  };

  const renderItem = (item) => {
    return (
      <View key={item._id}>
        <Text>Full Name: {item.fullname}</Text>
        <Text>Public Key: {item.publickey}</Text>
        <Text>Workspace: {item.workspace}</Text>
        <Button title="Request" onPress={() => handleRequest(item)} />
      </View>
    );
  };

  const handleRequest = (item) => {
    // Handle the request for the specific item by requesting the practitioner
    console.log("Requested:", item);
  };

  return (
    <View style={styles.container}>{data.map((item) => renderItem(item))}</View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
  },
  text: {
    fontSize: 24,
    fontWeight: "bold",
  },
});
