import React, { useState } from "react";
import { View, Text, StyleSheet, TextInput, Button } from "react-native";

export default function PatientRegFourOptional({ navigation, route }) {
  const [siblingCount, setSiblingCount] = useState("");
  const handleNext = () => {
    var data = {
      email: route.params.email,
      username: route.params.username,
      password: route.params.password,
      name: route.params.name,
      pronoun: route.params.pronoun,
      stringDate: route.params.stringDate,
      gender: route.params.gender,
      orphan: route.params.orphan,
      siblingCount: siblingCount.toString(),
    };
    navigation.navigate("PatientRegFive", data);
    console.log(data);
  };

  return (
    <View style={styles.container}>
      <Text>How many siblings did you have?</Text>
      <TextInput
        style={styles.input}
        onChangeText={(text) => setSiblingCount(text)}
        value={siblingCount.toString()}
        keyboardType="numeric"
      />
      <Button title="Next" onPress={handleNext} />
    </View>
  );
}
const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  inputContainer: {
    marginTop: 20,
  },
  input: {
    height: 40,
    width: 200,
    borderColor: "gray",
    borderWidth: 1,
    paddingHorizontal: 10,
  },
});
