import React from "react";
import { StyleSheet, View, Text, Button } from "react-native";

export default function MainScreen({ navigation }) {
  return (
    <View style={styles.container}>
      <View style={styles.buttonContainer}>
        <Button
          title="Login"
          onPress={() => {
            console.log("Login");
            navigation.navigate("SharedLogin");
          }}
        />
        <View style={styles.separator} />
        <Button
          title="Register"
          onPress={() => {
            console.log("Register");
            navigation.navigate("SharedRegisterScreen");
          }}
        />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  buttonContainer: {
    flexDirection: "row",
    marginVertical: 20,
  },
  separator: {
    width: 10,
  },
});
